FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2023 PLD Team
$Revision: 1.37 $
Powered by Linux.
Your IP: 44.212.99.248

ldc 6c4b5b8f-74d0-4eda-9691-67c4ebbc4017

Status:Failed
Source URL:https://buildlogs.pld-linux.org/pld/th/x86_64/FAIL/ldc,6c4b5b8f-74d0-4eda-9691-67c4ebbc4017.bz2
text/plain URL:View!
full text:View!
rpm -qa of builder:View!
Date:2022/10/17 22:34:52

Toc:

  • error 1
  • rpm: error: Failed build dependencies:
  • error 2
  • rpm: error: Failed build dependencies:
  • error 3
  • poldek: error: ldc-1.29.0-1.x86_64: req libLLVM-14.so()(64bit) not found
  • error 4
  • poldek: error: ldc-1.29.0-1.x86_64: req libLLVM-14.so(LLVM_14)(64bit) not found
  • error 5
  • poldek: error: ldc-1.29.0-1.x86_64: req libLLVMSPIRVLib.so.14()(64bit) not found
  • error 6
  • poldek: error: 3 unresolved dependencies
  • error 7
  • poldek: error: Failed dependencies:
  • error 8
  • error: ldc: no such package
  • error 9
  • rpm: error: Failed build dependencies:
  • error 10
  • error: ldc-1.29.0-1.x86_64: req libLLVM-14.so()(64bit) not found
  • error 11
  • error: ldc-1.29.0-1.x86_64: req libLLVM-14.so(LLVM_14)(64bit) not found
  • error 12
  • error: ldc-1.29.0-1.x86_64: req libLLVMSPIRVLib.so.14()(64bit) not found
  • error 13
  • error: 3 unresolved dependencies
  • error 14
  • error: BR installation failed

Content:

checking if we should skip the build
started at: Mon Oct 17 22:34:36 2022
killing old processes on a builder
sending signal 9 to pid -1
cleaning up /tmp
fetching https://srcbuilder.pld-linux.org/th//srpms/6c4b5b8f-74d0-4eda-9691-67c4ebbc4017/ldc-1.29.0-1.src.rpm
fetched 65341159 bytes, 25012.4 K/s
installing srpm: ldc-1.29.0-1.src.rpm
+ install -d /tmp/B.eff2ggpa/BUILD /tmp/B.eff2ggpa/RPMS
+ LC_ALL=en_US.UTF-8
+ rpm -qp --changelog ldc-1.29.0-1.src.rpm
* Mon Oct 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ldc.git;a=log;h=master
* Thu Jun 02 2022 Jan Palus <atler@pld-linux.org> 093633b
- BRs for tar.xz source * Thu Jun 02 2022 Jan Palus <atler@pld-linux.org> 01dad94
- rpm version for noarch subpackage * Thu Jun 02 2022 Jan Palus <atler@pld-linux.org> 869f7ad
- up to 1.29.0 * Tue Nov 09 2021 Jan Palus <atler@pld-linux.org> 11f0857
- disable lld support; rel 2 * Tue Nov 09 2021 Jan Palus <atler@pld-linux.org> be32e7f
- up to 1.28.0 * Wed Aug 11 2021 Elan Ruusamäe <glen@pld-linux.org> beb01bd
- New, version 1.27.1 + rpm -Uhv --nodeps --define '_topdir /tmp/B.eff2ggpa' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' ldc-1.29.0-1.src.rpm Updating / installing... ldc-1.29.0-1 ######################################## + rm -f ldc-1.29.0-1.src.rpm + install -m 700 -d /tmp/B.eff2ggpa/BUILD/tmp + TMPDIR=/tmp/B.eff2ggpa/BUILD/tmp + exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir /tmp/B.eff2ggpa' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux --define 'prep exit 0' /tmp/B.eff2ggpa/ldc.spec warning: Could not canonicalize hostname: ymir Building target platforms: x86_64-pld-linux Building for target x86_64-pld-linux RPM build warnings: Could not canonicalize hostname: ymir checking BuildConflict-ing packages rpm: warning: Could not canonicalize hostname: ymir rpm: error: Failed build dependencies: rpm: geany is needed by ldc-1.29.0-1.x86_64 rpm: ldc is needed by ldc-1.29.0-1.x86_64 rpm: Building target platforms: x86_64-pld-linux rpm: Building for target x86_64-pld-linux rpm: rpm: RPM build warnings: rpm: Could not canonicalize hostname: ymir no BuildConflicts found checking BR rpm: warning: Could not canonicalize hostname: ymir rpm: error: Failed build dependencies: rpm: geany is needed by ldc-1.29.0-1.x86_64 rpm: ldc is needed by ldc-1.29.0-1.x86_64 rpm: Building target platforms: x86_64-pld-linux rpm: Building for target x86_64-pld-linux rpm: rpm: RPM build warnings: rpm: Could not canonicalize hostname: ymir updating poldek cache... ready is up to date th is up to date th is up to date th-ready is up to date th-ready is up to date th-test is up to date th-test is up to date checking conflicting packages in BRed packages poldek: Loading [pndir]ready... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th... poldek: Loading [pndir]th... poldek: 34866 packages read poldek: Removed 4860 duplicate packages from available set poldek: Processing dependencies... poldek: error: ldc-1.29.0-1.x86_64: req libLLVM-14.so()(64bit) not found poldek: error: ldc-1.29.0-1.x86_64: req libLLVM-14.so(LLVM_14)(64bit) not found poldek: error: ldc-1.29.0-1.x86_64: req libLLVMSPIRVLib.so.14()(64bit) not found poldek: There are 2 packages to install: poldek: A geany-1.38-1.x86_64 ldc-1.29.0-1.x86_64 poldek: This operation will use 35.4MB of disk space. poldek: Need to get 7.9MB of archives (7.9MB to download). poldek: poldek: error: 3 unresolved dependencies poldek: Retrieving [1/2] th::geany-1.38-1.x86_64.rpm...............................................done poldek: Retrieving [2/2] th::ldc-1.29.0-1.x86_64.rpm...............................................done poldek: geany-1.38-1.x86_64.rpm: digests OK poldek: ldc-1.29.0-1.x86_64.rpm: digests OK poldek: Executing pm-command.sh --upgrade -vh --test --root / --define _check_dirname_deps 0... poldek: warning: /root/.cache/poldek/ftp_ep09.pld-linux.org.dists.th.PLD.x86.64.RPMS/geany-1.38-1.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID e4f1bc2d: NOKEY poldek: error: Failed dependencies: poldek: libLLVM-14.so()(64bit) is needed by ldc-1.29.0-1.x86_64 poldek: libLLVM-14.so(LLVM_14)(64bit) is needed by ldc-1.29.0-1.x86_64 poldek: libLLVMSPIRVLib.so.14()(64bit) is needed by ldc-1.29.0-1.x86_64 uninstalling conflicting packages removing ldc error: ldc: no such package package ldc removal failed checking BR rpm: warning: Could not canonicalize hostname: ymir rpm: error: Failed build dependencies: rpm: geany is needed by ldc-1.29.0-1.x86_64 rpm: ldc is needed by ldc-1.29.0-1.x86_64 rpm: Building target platforms: x86_64-pld-linux rpm: Building for target x86_64-pld-linux rpm: rpm: RPM build warnings: rpm: Could not canonicalize hostname: ymir installing BR: geany ldc + poldek --noask --caplookup -Q -v '--ignore=hhvm-*' '--ignore=php4-*' '--ignore=php52-*' '--ignore=php54-*' '--ignore=php55-*' '--ignore=php56-*' '--ignore=php70-*' '--ignore=php71-*' '--ignore=php72-*' '--ignore=php73-*' '--ignore=php74-*' '--ignore=php80-*' '--ignore=php81-*' '--ignore=php82-*' --upgrade geany ldc Loading [pndir]ready... Loading [pndir]th-test... Loading [pndir]th-test... Loading [pndir]th-ready... Loading [pndir]th-ready... Loading [pndir]th... Loading [pndir]th... 34866 packages read Removed 4860 duplicate packages from available set Processing dependencies... There are 1 package to install: A geany-1.38-1.x86_64 This operation will use 11.1MB of disk space. geany-1.38-1.x86_64.rpm: digests OK Need to get 3.5MB of archives. geany-1.38-1.x86_64.rpm: digests OK Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 0... warning: /root/.cache/poldek/ftp_ep09.pld-linux.org.dists.th.PLD.x86.64.RPMS/geany-1.38-1.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID e4f1bc2d: NOKEY Verifying... ######################################## Preparing... ######################################## Updating / installing... geany-1.38-1 ######################################## Installing set #2 Processing dependencies... error: ldc-1.29.0-1.x86_64: req libLLVM-14.so()(64bit) not found error: ldc-1.29.0-1.x86_64: req libLLVM-14.so(LLVM_14)(64bit) not found error: ldc-1.29.0-1.x86_64: req libLLVMSPIRVLib.so.14()(64bit) not found There are 1 package to install: A ldc-1.29.0-1.x86_64 This operation will use 24.3MB of disk space. ldc-1.29.0-1.x86_64.rpm: digests OK Need to get 4.4MB of archives. error: 3 unresolved dependencies error: BR installation failed + chmod -R u+rwX /tmp/B.eff2ggpa/BUILD + rm -rf /tmp/B.eff2ggpa/tmp /tmp/B.eff2ggpa/BUILD + rm -rf /tmp/B.eff2ggpa Begin-PLD-Builder-Info Build-Time: user:8.24s sys:2.23s real:16.56s (faults io:19 non-io:328139) End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]